Loading...
Searching...
No Matches
field_o_characteristic< T, M >

## Detailed Description

template<class T, class M>
class rheolef::field_o_characteristic< T, M >

Definition at line 248 of file characteristic.h.

## Public Member Functions

| field_o_characteristic (const field_basic< T, M > &uh, const characteristic_basic< T, M > &X)
const field_basic< T, M > & | get_field () const
const characteristic_basic< T, M > & | get_characteristic () const

## Protected Attributes

field_basic< T, M > | _uh
characteristic_basic< T, M > | _X

## Constructor & Destructor Documentation

## field_o_characteristic()

template<class T , class M >

field_o_characteristic | ( | const field_basic< T, M > & | uh,
|  | const characteristic_basic< T, M > & | X
| ) |  |

Definition at line 253 of file characteristic.h.

## Member Function Documentation

## get_field()

template<class T , class M >

const field_basic< T, M > & get_field | ( |  | ) | const

Definition at line 258 of file characteristic.h.

## get_characteristic()

template<class T , class M >

const characteristic_basic< T, M > & get_characteristic | ( |  | ) | const

Definition at line 259 of file characteristic.h.

## Member Data Documentation

## _uh

template<class T , class M >

field_basic<T,M> _uh

protected

Definition at line 263 of file characteristic.h.

## _X

template<class T , class M >

characteristic_basic<T,M> _X

protected

Definition at line 264 of file characteristic.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/characteristic.h